package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type EventCertQueryRequest struct {
	CompanyRequest *common.EventCertQueryCompanyRequest `json:"companyRequest,omitempty"`
	UserRequest    *common.EventCertQueryUserRequest    `json:"userRequest,omitempty"`
	// <ext>core:true</ext> 【每页数量】每页数量 【传参】 传入正整数，最大值：2000（包含）；不传值默认为：10。 单位：条。
	PageSize *float64 `json:"pageSize,omitempty"`
	// <ext>core:true</ext> 【指定页码】指定页码 【传参】 传入正整数；不传值默认为：1。 单位：页。
	PageNo *float64 `json:"pageNo,omitempty"`
}

func (obj EventCertQueryRequest) GetUrl() string {
	return "/event/cert/query"
}

func (obj EventCertQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
